%global with_ffmpeg yes
%global with_cairo system
%global with_alsa yes
%global with_pulse_audio yes

Name:           moonlight
# tarball include MS-PL MS controls, for the managed code compilation setting
License:        LGPLv2 and MIT and MS-PL
Group:          Applications/Multimedia
Summary:        An open source implementation of Silverlight
Url:            http://go-mono.com/moonlight/
Version:        1.0.1
Release:        10%{?dist}
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Source:         http://ftp.novell.com/pub/mono/sources/moon/moon-%{version}.tar.bz2
# Patches from Debian's Jo Shields
# http://svn.debian.org/viewsvn/pkg-mono/moon/trunk/debian/patches/
Patch0:         moon_dont_bail_on_unknown_arches.dpatch
Patch1:         moon_fix_gdk_pointer_size.dpatch
Patch2:         moonlight-minizip.patch

%if %{with_ffmpeg} == yes
BuildRequires:  ffmpeg-devel
Requires:       ffmpeg-libs
%endif

%if %{with_pulse_audio} == yes   
BuildRequires:  pulseaudio-libs-devel
Requires:       pulseaudio-libs
%endif

BuildRequires:  cairo-devel
BuildRequires:  alsa-lib-devel gcc-c++ gtk2-devel
BuildRequires:  expat-devel xulrunner-devel
BuildRequires:  minizip-devel pixman-devel

%description

Moonlight is an open source implementation of Microsoft Silverlight for Unix
systems.

%package libs

Summary:        Libraries for Moonlight 
Group:          Development/Libraries
License:        LGPLv2
%description libs
Libraries for Moonlight.

Moonlight is an open source implementation of Microsoft Silverlight for Unix
systems.


%package tools
Summary:        Various tools for Moonlight
Group:          Development/Tools
License:        MIT
Requires:       moonlight-libs == %{version}

%description tools
Various tools for Moonlight development.

Moonlight is an open source implementation of Microsoft Silverlight for Unix
systems.


%package plugin
Summary:        Browser plugin for Moonlight
Group:          Applications/Multimedia
Requires:       moonlight-libs = %{version}
License:        LGPLv2

%description plugin
Browser plugin for Moonlight.

Moonlight is an open source implementation of Microsoft Silverlight for
Unix systems.

%prep
%setup -q -n moon-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

rm -rf pixman cairo src/zip

%build
%configure --with-ffmpeg=%{with_ffmpeg} \
           --with-managed=no \
           --with-cairo=%{with_cairo} \
           --with-alsa=%{with_alsa} \
           --with-pulse-audio=%{with_pulse_audio}

# fixing the rpath thing
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install

rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm %{buildroot}%{_libdir}/libmoon.la
rm %{buildroot}%{_libdir}/libmoon.so
rm %{buildroot}%{_libdir}/moon/plugin/*.la
rm -rf %{buildroot}%{_libdir}/pkgconfig

mkdir -p %{buildroot}%{_libdir}/mozilla/plugins
pushd %{buildroot}%{_libdir}/mozilla/plugins
ln -s ../../moon/plugin/libmoonloader.so libmoonloader.so
popd 

rm %{buildroot}%{_libdir}/moon/plugin/README

%clean
rm -rf %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files libs
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO NEWS LICENSE
%{_libdir}/libmoon.so.*

%files tools
%defattr(-,root,root,-)
%doc 
%{_bindir}/mopen1

%files plugin
%defattr(-,root,root,-)
%doc  
%dir %{_libdir}/moon/plugin
%{_libdir}/moon/plugin/libmoonloader.so
%{_libdir}/moon/plugin/libmoonplugin.so
%{_libdir}/mozilla/plugins/libmoonloader.so
#%{_libdir}/moon/plugin/libmoonplugin-*bridge.so*


%changelog
* Wed Aug 26 2009 Ismael Olea <ismael@olea.org> 1.0.1-10
- removed managed code references and subpackages
- cosmetic changes
- explicit license for tools subpackage: MIT
- explicit license for plugin and libs subpackags: LGPL2
- explicit license for source packag: LGPL2 and MIT and MS-PL
- missing LICENSE file

* Mon Aug 3 2009 Ismael Olea <ismael@olea.org> 1.0.1-9
- added ffmpeg-libs dependency

* Sun Jun 28 2009 Ismael Olea <ismael@olea.org> 1.0.1-8
- cosmetic changes at FUDCon Berlin
- removed upstream included cairo, pixman and minizip: moonlight-minizip.patch

* Fri May 22 2009 Ismael Olea <ismael@olea.org> 1.0.1-7
- cosmetic changes.

* Thu May 7 2009 Ismael Olea <ismael@olea.org> 1.0.1-6
- added patch http://svn.debian.org/viewsvn/pkg-mono/moon/trunk/debian/patches/moon_dont_bail_on_unknown_arches.dpatch?revision=3920&view=markup
- added patch http://svn.debian.org/viewsvn/pkg-mono/moon/trunk/debian/patches/moon_fix_gdk_pointer_size.dpatch?revision=3966&view=markup

* Sat May 2 2009 Ismael Olea <ismael@olea.org> 1.0.1-5
- cosmetic spec enhancements

* Sun Mar 22 2009 Ismael Olea <ismael@olea.org> 1.0.1-4
- compiling using ffmpeg https://bugzilla.rpmfusion.org/show_bug.cgi?id=436#c20

* Sun Mar 22 2009 Ismael Olea <ismael@olea.org> 1.0.1-3
- cosmetic changes https://bugzilla.rpmfusion.org/show_bug.cgi?id=436#c18

* Wed Mar 17 2009 Ismael Olea <ismael@olea.org> 1.0.1-2
- attending comments on https://bugzilla.rpmfusion.org/show_bug.cgi?id=436
- cleaning susism's
- added pulseaudio-libs-devel dependency
- rpmlint cleaning

* Sat Mar 14 2009 Ismael Olea <ismael@olea.org> 1.0.1-1
- update to 1.0.1 for Fedora 10
- rpmlint cleaning

* Thu Nov 20 2008 rhowell@novell.com
- update to 1.0b2
- Fixes urls to Moonlight codecs/Eulas
* Tue Nov 11 2008 rhowell@novell.com
- update to 1.0b1
- Fixes libxcb issues on SLE10 (bnc438265)
- Fixes media playback (bnc442895,438404,439225,435908,435912,434462,
  434267,433621,425264)
- Udpate to embedded cairo and pixman (bnc432725)
- Performance fixes (bnc435431,432975,412302,402211)
- Animation fixes (bnc435815,434899,434298,434261,434258,429396,434462)
- Disabled managed features
* Thu Oct 16 2008 cthiel@suse.de
- fix requires on moonlight-plugin
* Mon Sep  8 2008 ajorgensen@novell.com
- Switches to allow us to build on older distros
* Thu Sep  4 2008 ajorgensen@novell.com
- -examples requires libmoon0 (not libmoon)
* Tue Sep  2 2008 crrodriguez@suse.de
- fix build, missing libexpat-devel
- add missing -devel package dependencies
- use system cairo & pixman , never a bundled copy (!!)
* Fri Aug 22 2008 ajorgensen@novell.com
- Fix for -debug* packages needing unprovided moonlight
- Allow building on older distros (xulrunner181)
* Mon Aug 18 2008 ajorgensen@novell.com
- Initial upload (0.8.1)
  * Support for Silverlight 1.0 profile
